import type { PropType } from "vue";
export declare const propsTypes: {
    url: {
        required: true;
        type: StringConstructor;
    };
    subdomains: {
        type: PropType<string[]>;
    };
    tileType: {
        type: PropType<"xyz" | "bd09">;
        default: string;
        validator: (value: string) => boolean;
    };
    proj: {
        type: PropType<"bd09" | "wgs84" | "gcj02">;
        default: string;
        validator: (value: string) => boolean;
    };
    zooms: {
        type: PropType<[number, number]>;
    };
    opacity: {
        type: NumberConstructor;
    };
    zIndex: {
        type: NumberConstructor;
        default: number;
    };
    mask: {
        type: ArrayConstructor;
    };
    cacheSize: {
        type: NumberConstructor;
        default: number;
    };
    debug: {
        type: BooleanConstructor;
        default: boolean;
    };
    tileMaxZoom: {
        type: NumberConstructor;
    };
    altitude: {
        type: NumberConstructor;
    };
} & {
    visible: import("../../../../utils/buildHelper").IPropOptions<boolean>;
    zIndex: import("../../../../utils/buildHelper").IPropOptions<number>;
    reEventWhenUpdate: import("../../../../utils/buildHelper").IPropOptions<boolean>;
    extraOptions: import("../../../../utils/buildHelper").IPropOptions<any>;
};
