'use strict';

var amapApiLoader = require('./amap-api-loader.js');

exports.lazyAMapApiLoaderInstance = null;
const initAMapApiLoader = (config) => {
  if (exports.lazyAMapApiLoaderInstance)
    return;
  if (!exports.lazyAMapApiLoaderInstance) {
    if (config.offline) {
      exports.lazyAMapApiLoaderInstance = new Promise((resolve) => {
        console.log("@vuemap/vue-amap\u79BB\u7EBF\u90E8\u7F72");
        resolve(window.AMap);
      });
    } else {
      exports.lazyAMapApiLoaderInstance = amapApiLoader.default(config);
    }
  }
  exports.lazyAMapApiLoaderInstance.then();
};

exports.resetJsApi = amapApiLoader.resetJsApi;
exports.initAMapApiLoader = initAMapApiLoader;
//# sourceMappingURL=injected-amap-api-instance.js.map
